import serviceNames from 'virtual:services-list';

const services = {};

serviceNames.forEach(path => {
    const name = path.split('/').pop().replace('.ts', '');  // Extract just the file name from the path without .ts
    services[name] = () => import(/* @vite-ignore */ `/src/lib/services/${path}`);
});

export default services;